Returns a link that allows a user to complete a dispute creation flow via either a redirect or embedded iframe/webview.
To see what data is returned to the frontend upon flow completion, see our Embedded Flows - Dispute Creation guide.
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
URL where the user is redirected when the flow resolves. This also includes query parameters based on flow completion state and disputed transaction IDs.
For more information, see our Embedded Flows - Dispute Creation guide.
The ID of the card transaction to dispute. It must belong to the given profile.
- Production Environmenthttps://api.wise.com/2026Q4/profiles/{profileId}/embedded-flows/link-requests/spend/disputes
- Sandbox Environmenthttps://api.wise-sandbox.com/2026Q4/profiles/{profileId}/embedded-flows/link-requests/spend/disputes
- UserToken
- ClientCredentialsToken
curl -i -X POST \
'https://api.wise.com/2026Q4/profiles/{profileId}/embedded-flows/link-requests/spend/disputes' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
-d '{
"redirectUrl": "https://example.com/return",
"transactionId": 625327,
"email": "user@example.com"
}'Embedded link request created.
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Short-lived URL to start the embedded dispute flow.
{ "url": "https://wise-sandbox.com/embedded-flows?embeddedLinkRequestId=9f5f5812-2609-4e48-8418-b64437c0c7cd#token=0d0bdc88-bcf4-43dd-85be-7ca65441db20", "expiresAt": "2026-06-15T13:23:20.265Z" }